Bug 997656 - [abrt] lvm2-2.02.98-11.fc19: buffer_realloc: Process /usr/sbin/lvmetad was killed by signal 11 (SIGSEGV)
[abrt] lvm2-2.02.98-11.fc19: buffer_realloc: Process /usr/sbin/lvmetad was ki...
Status: CLOSED DUPLICATE of bug 1000894
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
abrt_hash:ca3727c545661887a39890bb0f9...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 18:08 EDT by Cristian Ciupitu
Modified: 2013-10-29 04:13 EDT (History)
11 users (show)

See Also:
Fixed In Version: lvm2-2.02.98-12.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 04:13:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.57 KB, text/plain)
2013-08-15 18:08 EDT, Cristian Ciupitu
no flags Details
File: cgroup (170 bytes, text/plain)
2013-08-15 18:08 EDT, Cristian Ciupitu
no flags Details
File: core_backtrace (9.32 KB, text/plain)
2013-08-15 18:08 EDT, Cristian Ciupitu
no flags Details
File: dso_list (1.37 KB, text/plain)
2013-08-15 18:08 EDT, Cristian Ciupitu
no flags Details
File: environ (174 bytes, text/plain)
2013-08-15 18:08 EDT, Cristian Ciupitu
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-15 18:08 EDT, Cristian Ciupitu
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-15 18:08 EDT, Cristian Ciupitu
no flags Details
File: maps (7.52 KB, text/plain)
2013-08-15 18:08 EDT, Cristian Ciupitu
no flags Details
File: open_fds (248 bytes, text/plain)
2013-08-15 18:09 EDT, Cristian Ciupitu
no flags Details
File: proc_pid_status (893 bytes, text/plain)
2013-08-15 18:09 EDT, Cristian Ciupitu
no flags Details
File: var_log_messages (598 bytes, text/plain)
2013-08-15 18:09 EDT, Cristian Ciupitu
no flags Details

  None (edit)
Description Cristian Ciupitu 2013-08-15 18:08:19 EDT
Description of problem:
I run `lvchange -a n` on LVs located on an external USB disk and then I disconnected the drive, but I have no idea what caused the crash.

Version-Release number of selected component:
lvm2-2.02.98-11.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/sbin/lvmetad
crash_function: buffer_realloc
executable:     /usr/sbin/lvmetad
kernel:         3.10.6-200.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #4 buffer_realloc at config-util.c:284
 #5 buffer_read at daemon-io.c:45
 #6 client_thread at daemon-server.c:379
 #8 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
Comment 1 Cristian Ciupitu 2013-08-15 18:08:25 EDT
Created attachment 787074 [details]
File: backtrace
Comment 2 Cristian Ciupitu 2013-08-15 18:08:30 EDT
Created attachment 787075 [details]
File: cgroup
Comment 3 Cristian Ciupitu 2013-08-15 18:08:34 EDT
Created attachment 787076 [details]
File: core_backtrace
Comment 4 Cristian Ciupitu 2013-08-15 18:08:39 EDT
Created attachment 787077 [details]
File: dso_list
Comment 5 Cristian Ciupitu 2013-08-15 18:08:43 EDT
Created attachment 787078 [details]
File: environ
Comment 6 Cristian Ciupitu 2013-08-15 18:08:48 EDT
Created attachment 787079 [details]
File: exploitable
Comment 7 Cristian Ciupitu 2013-08-15 18:08:53 EDT
Created attachment 787080 [details]
File: limits
Comment 8 Cristian Ciupitu 2013-08-15 18:08:58 EDT
Created attachment 787081 [details]
File: maps
Comment 9 Cristian Ciupitu 2013-08-15 18:09:02 EDT
Created attachment 787082 [details]
File: open_fds
Comment 10 Cristian Ciupitu 2013-08-15 18:09:07 EDT
Created attachment 787083 [details]
File: proc_pid_status
Comment 11 Cristian Ciupitu 2013-08-15 18:09:11 EDT
Created attachment 787084 [details]
File: var_log_messages
Comment 12 Peter Rajnoha 2013-08-16 04:02:44 EDT
(In reply to Cristian Ciupitu from comment #0)
> Description of problem:
> I run `lvchange -a n` on LVs located on an external USB disk and then I
> disconnected the drive, but I have no idea what caused the crash.

When the disk is disconnected, there's an event generated and then processed by udev and driven by udev rules (/lib/udev/rules.d and /etc/udev/rules.d). This also fires "pvscan --cache" in /lib/udev/rules./69-dm-lvmetad.rules which updates the lvmetad (the LVM metadata daemon - it holds LVM metadata to avoid disk scanning later on).

I think this might be a dup of bug #994172. You can try to update with this build (rpm -F *.rpm) and see if it helps. It adds one patch from upstream code that fixes a bug in memory handling:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=5820953

(The x86_64 arch build itself: http://koji.fedoraproject.org/koji/taskinfo?taskID=5820954)
Comment 13 Cristian Ciupitu 2013-08-16 08:11:54 EDT
Just in case my previous statement was ambiguous, I disconnected the
drive using `udisks --detach` or GNOME Disks (can't remember which) and
only then I unplugged the cable.
Comment 14 Peter Rajnoha 2013-08-21 04:41:12 EDT
(In reply to Cristian Ciupitu from comment #13)
> Just in case my previous statement was ambiguous, I disconnected the
> drive using `udisks --detach` or GNOME Disks (can't remember which) and
> only then I unplugged the cable.

That should be OK.

Anyway, I've submitted an update for F19 with the patch from comment #12 (lvm2-2.02.98-12.fc19). If the problem still persists, please, reopen this bug report. Thanks.
Comment 15 Fedora Update System 2013-08-21 04:42:40 EDT
lvm2-2.02.98-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lvm2-2.02.98-12.fc19
Comment 16 Fedora Update System 2013-08-21 20:44:48 EDT
Package lvm2-2.02.98-12.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lvm2-2.02.98-12.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15098/lvm2-2.02.98-12.fc19
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-08-22 20:34:27 EDT
lvm2-2.02.98-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Cristian Ciupitu 2013-10-28 21:06:59 EDT
It still happened with lvm2-2.02.98-12.fc19.x86_64.
Comment 19 Peter Rajnoha 2013-10-29 04:13:12 EDT
Yes, I'm sorry for the problem. There's a new patch upstream which we still need to backport - I'll try to do a new update till the end of this week. Marking this one as dup of existing opened bug #1000894 (the source of the problem is the memory management for metadata handling - the "libdm-config" part of the code responsible for structuring LVM metadata into a tree representation).

*** This bug has been marked as a duplicate of bug 1000894 ***

Note You need to log in before you can comment on or make changes to this bug.